# FileKeyProvider.Format (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth.keyprovider
Enum FileKeyProvider.Format

    java.lang.Object
      java.lang.Enum<FileKeyProvider.Format>
          net.schmizz.sshj.userauth.keyprovider.FileKeyProvider.Format

All Implemented Interfaces:
  Serializable, Comparable<FileKeyProvider.Format>

Enclosing interface:
  FileKeyProvider

    public static enum FileKeyProvider.Format

extends Enum<FileKeyProvider.Format>

Enum Constant Summary
`OpenSSH`
`PKCS8`
`Unknown`

Method Summary
`static FileKeyProvider.Format` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileKeyProvider.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PKCS8

    public static final FileKeyProvider.Format PKCS8

### OpenSSH

    public static final FileKeyProvider.Format OpenSSH

### Unknown

    public static final FileKeyProvider.Format Unknown

Method Detail

### values

    public static FileKeyProvider.Format[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileKeyProvider.Format c : FileKeyProvider.Format.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileKeyProvider.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009-2011. All Rights Reserved.